{
  "accUserMode" : 2,
  "caption" : "测试实体",
  "codeName" : "TESTMobDataViewExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTMobDataViewExpView.json",
  "name" : "TESTMobDataViewExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "MobDataViewExpViewdataviewexpbar",
    "controlType" : "DATAVIEWEXPBAR",
    "name" : "dataviewexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:DEFAULT",
      "realTitle" : "测试实体编辑视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dataviewexpbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DATAVIEWEXPBAR"
    },
    "getPSControls" : [ {
      "codeName" : "Dataviewexp",
      "controlType" : "DATAVIEW",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSDATAVIEWS/Dataviewexp.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "groupMode" : "NONE",
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "logicName" : "dataviewexp",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据视图处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "dataviewexpbar_dataview",
        "logicType" : "CUSTOM",
        "name" : "dataviewexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "dataviewexpbar_dataview",
        "logicType" : "CUSTOM",
        "name" : "dataviewexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "dataviewexpbar_dataview"
      },
      "getPSDEDataViewDataItems" : [ {
        "dataType" : 25,
        "name" : "testname"
      }, {
        "dataType" : 25,
        "name" : "testid"
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        }
      } ],
      "getPSDEDataViewItems" : [ {
        "caption" : "测试实体名称",
        "dataItemName" : "testname",
        "itemType" : "DATAITEM",
        "name" : "TESTNAME",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        },
        "enableSort" : true
      }, {
        "caption" : "测试实体标识",
        "dataItemName" : "testid",
        "itemType" : "DATAITEM",
        "name" : "TESTID",
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        },
        "enableSort" : true
      } ],
      "pagingSize" : 20,
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "hasWFDataItems" : false,
      "appendDEItems" : false,
      "enableCardEdit" : false,
      "enableCardEditGroup" : false,
      "enableCardEditOrder" : false,
      "enableCardNew" : false,
      "enableGroup" : false,
      "enablePagingBar" : true,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "dataviewexpbar_dataview",
      "modelid" : "602A2BBB-90CF-4BE5-881D-B85DB469A6DE",
      "modeltype" : "PSDEDATAVIEW"
    } ],
    "xDataControlName" : "dataviewexpbar_dataview",
    "enableCounter" : true,
    "enableSearch" : false,
    "showTitleBar" : true,
    "modelid" : "eee08024996ba1c6e8fe78983dd2025b_dataviewexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : true
  }, {
    "caption" : "测试实体",
    "codeName" : "MobDataViewExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "MobDataViewExpView",
  "getPSDEViewId" : "D586936A-894F-47A4-B1A8-F9C609566742",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEMOBDATAVIEWEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "sideBarLayout" : "TOP",
  "title" : "测试实体卡片视图导航视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEMOBDATAVIEWEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enablePullDownRefresh" : false,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "eee08024996ba1c6e8fe78983dd2025b",
  "modeltype" : "PSAPPDEVIEW"
}